<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('rss_posts', function (Blueprint $table) {
            $table->mediumText('source')->change();
            $table->mediumText('source_url')->change();
            $table->mediumText('post_url')->change();
            $table->mediumText('title')->change();
            $table->mediumText('slug')->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('rss_posts', function (Blueprint $table) {
            $table->string('source')->change();
            $table->string('source_url')->change();
            $table->string('post_url')->change();
            $table->string('title')->change();
            $table->string('slug')->change();
        });
    }
};
